id: rail-bridge-casing
source: spirit
source-layer: railways
type: line
filter:
  - all
  - - in
    - [get, railway]
    - - literal
      - - rail
  - [get, bridge]
paint:
  line-color:
    - case
    - [get, minor]
    - '#aaa'
    - '#5e5e5e'
  line-width:
    - interpolate
    - - exponential
      - 1.35
    - - zoom
    - 12
    - 3
    - 20
    - 14
layout:
  line-cap: butt
  line-sort-key:
    - +
    - - case
      - [get, minor]
      - 0
      - 10
    - - '*'
      - [get, layer]
      - 1000
